**kOS for Mac 4.2.0**

* Requires and includes CineDrive firmware version 4.2.0.
* Event Mode tiles can now be reordered using drag and drop. In Select mode, long press on a tile to begin moving it.
* The graph can now be zoomed (the zoom control is on the Graph Options panel).
* When CineDrive is password locked, most UI controls are now disabled.
* Various bug fixes and UI/performance improvements.

***

**kOS for Mac 4.1.0**

* Requires and includes CineDrive firmware version 4.1.0.
* Requires and includes updated CineDrive motor profile files.
* Various bug fixes and UI/performance improvements.

***

**kOS for Mac 4.0.0**

* Requires OS X version 10.10 (Yosemite) or higher.
* NEW Support for Second Shooter connected via USB.
* In Event Mode, tiles are now active during a move. Clicking a tile during a move will stop the move and execute the new task.
* 'Max Damping' is now expressed as a percentage of the maximum damping allowed. A value of 0% indicates no damping (fast acceleration). 
* CineDrive LED and Light control have been moved to the main menu (under Tools).
* Various bug fixes and UI/performance improvements.

***

**kOS for Mac 3.6.0**

* Requires and includes firmware version 3.6.0.32.
* NEW Tabs feature.
* Added the ability to launch a move from an Event Mode tile.
* Added 'Move Time Line Here' button to Graph Bump panel.
* Restored separate 'Max Speed' and 'Max Setup Speed' fields in Motor Configuration.
* Various bug fixes and performance improvements.

***

**kOS for Mac 3.5.1**

* Updated Help files.
* Various bug fixes and performance improvements.

***

**kOS for Mac 3.5.0**

* NEW Event Mode feature.
* A Video Clip Length can now be specified when configuring a Time Lapse.
* Time Lapse pre and post move photos can now be entered separately.
* Added 'Delay Before Picture' and 'Delay Before Repeat' options to the GigaPixel feature.
* Various bug fixes and performance improvements.

***

**kOS for Mac 3.4.0**

* Now requires OS X 10.9 (Mavericks).
* Requires and includes firmware version 3.4.0.22.
* Motors must now be disconnected before performing a firmware update.
* Added the ability to take any number of photos before and after a Time Lapse move is executed.
* Added the ability to calculate Time Lapse Delay from the other Time Lapse parameters.
* Added the ability to add space before the first key frame or after the last key frame without modifying the timing between existing key frames.
* Added 'Use Fine Control' option when moving Pan and Tilt during GigaPixel setup.
* Removed vertical constraints on Bezier control points when moving handles or key frames.
* Added hot keys: Ctrl-L for Load and Ctrl-G for Go (Ctrl-P for Play if Load and Go is not enabled).
* Updated Help.
* Various bug fixes and performance improvements.

***

**kOS for Mac 3.3.1**

* Fixed potential issues when either the Pan or Tilt axis is renamed.

***

**kOS for Mac 3.3.0**

* New GigaPixel panorama feature!
* Requires and includes firmware version 3.3.0.34 (firmware is automatically updated).
* Requires new motor profiles (profile files are automatically updated).
* Backup/Restore Calibration added to Tools menu.
* Various bug fixes, performance improvements, and UI enhancements.

***

**kOS for Mac 3.2.0**

* Requires and includes firmware version 3.2.0.4.
* Move and other data files can now be automatically saved to a Dropbox folder.
* The name of the current move file is now displayed in the status bar.
* Graph bump buttons: 
    * The time position of a key frame or mark can be edited by right-clicking on the time or frame value.
    * Added 'Move to Motor Position' button (moves key frame or mark to current motor position on a calibrated axis).
    * Added Previous and Next buttons to move the popup to the previous or next key frame or mark.
    * Click and hold is functional on the graph bump buttons.
    * Increased the resolution of the buttons.
* Added Continuous mode:
    * Continuous button is available when axis is uncalibrated or in Analog mode.
    * When Continuous is enabled, a stop button is displayed in the middle of the bump buttons. 
    * When Continuous is enabled, the bump buttons increase the speed by the configured bump amount.
    * When Continuous is enabled, the motors are not stopped when the slider is released and returns to the center.
    * Continuous movement is canceled when the bump stop button or the move Stop button is clicked, or when the space bar is pressed.
* The motor address for an axis can no longer be set above 100.
* Time display settings have been moved from Graph Options to Preferences.
* Other minor bug fixes and performance improvements.

***

**kOS for Mac 3.1.2**

Fixed: unable to load Shoot Move Shoot trajectory with a time lapse delay of over eight seconds.

***

**kOS for Mac 3.1.1**

* Performance improvements to the new Flash Marks feature.
* Other minor bug fixes.

***

**kOS for Mac 3.1.0**

* Run progress now includes a display in Frames (with adjustable frame rate).
* Frames can be displayed instead of time on top of the graph.
* Cameras can now be triggered with the Camera Roll feature (with Total Time progress display).
* Flash Marks are now available for syncing.
* Recordable Graph Marks are now available to set target positions on the graph.
* The motor configuration menu now recognizes the Turntable axis.
* This release requires and includes a firmware update to version 3.1.0.
* Many bug fixes and improvements.

***

**kOS for Mac 3.0.2**

**NEW: Load and Go**

When this feature is enabled (which is now the default), playback is performed in two steps.

1. Clicking the 'Load' button performs the necessary setup, after which 'Load' changes to 'Go'.
2. Clicking the 'Go' button either starts the playback immediately (if no delay has been configured) or starts the delay timer.

**NEW: Invalid Curve Segments**

The curve between two key frames is now displayed using a dashed line if it cannot be executed at the selected run time.

**NEW: Snap to Key Frame**

Moving the time line now snaps to the nearest key frame position (with precedence given to the selected axis). The key frame is displayed in yellow when the time line is located at the same position.

**Other Changes**

* Includes new CineDrive firmware version 3.0.2.
* The countdown timer is displayed in a more prominent place while waiting for a playback delay to expire.
* Release notes can now be viewed from the Help menu.
* Additional performance enhancements and bug fixes.
